Skip to content
Everruns Cloud is open in early access. Run agents without operating the platform.

Rate one message in a session good or bad, with an optional comment. A null rating clears your rating.

PUT
/v1/sessions/{session_id}/messages/{message_id}/feedback
curl --request PUT \
--url https://app.everruns.com/api/v1/sessions/example/messages/example/feedback
session_id
required
string

Prefixed public identifier

message_id
required
string

Prefixed public identifier

Success

Media typeapplication/json

The caller’s rating of one message.

object
comment

Optional note kept with the rating.

string | null
message_id
required

Message the rating is for (msg_...).

string
rating
One of:

good, bad, or null when the rating was cleared.

string
Allowed values: good bad
updated_at
required

When the rating was last set or cleared.

string format: date-time
Example
{
"message_id": "msg_01933b5a00007000800000000000001",
"rating": "good"
}

Session or message not found